<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::settings::test::SettingsTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html">SettingsTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::settings::test::SettingsTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">Settings</a></code> class.  
 <a href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::settings::test::SettingsTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::settings::test::SettingsTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae6fbd8b3aeab850980995da21557fdb4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#ae6fbd8b3aeab850980995da21557fdb4">SetUp</a> () override</td></tr>
<tr class="separator:ae6fbd8b3aeab850980995da21557fdb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae65dfe29cb1f912cf73ae46d0e95db0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#aae65dfe29cb1f912cf73ae46d0e95db0">TearDown</a> () override</td></tr>
<tr class="separator:aae65dfe29cb1f912cf73ae46d0e95db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:aacc09e4b19fc9b5f1c3005d3891b6873"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#aacc09e4b19fc9b5f1c3005d3891b6873">testChangeSettingSucceeds</a> (const std::string &amp;key, const std::string &amp;value)</td></tr>
<tr class="separator:aacc09e4b19fc9b5f1c3005d3891b6873"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a6e99b3eb9e46bf8c9ed8990a2d0d8908"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_message_sender.html">MockMessageSender</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#a6e99b3eb9e46bf8c9ed8990a2d0d8908">m_mockMessageSender</a></td></tr>
<tr class="memdesc:a6e99b3eb9e46bf8c9ed8990a2d0d8908"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mock <code>MessageSenderInterface</code>.  <a href="#a6e99b3eb9e46bf8c9ed8990a2d0d8908">More...</a><br /></td></tr>
<tr class="separator:a6e99b3eb9e46bf8c9ed8990a2d0d8908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04b4bc567cc6564cce3f9f88382da03e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender.html">SettingsUpdatedEventSender</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#a04b4bc567cc6564cce3f9f88382da03e">m_settingsEventSender</a></td></tr>
<tr class="memdesc:a04b4bc567cc6564cce3f9f88382da03e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Global Observer for all the settings which sends the event.  <a href="#a04b4bc567cc6564cce3f9f88382da03e">More...</a><br /></td></tr>
<tr class="separator:a04b4bc567cc6564cce3f9f88382da03e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd781baf3c5d954d807137883cc5ab2b"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_s_q_lite_setting_storage.html">SQLiteSettingStorage</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#abd781baf3c5d954d807137883cc5ab2b">m_storage</a></td></tr>
<tr class="memdesc:abd781baf3c5d954d807137883cc5ab2b"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">Settings</a> Storage object.  <a href="#abd781baf3c5d954d807137883cc5ab2b">More...</a><br /></td></tr>
<tr class="separator:abd781baf3c5d954d807137883cc5ab2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a865c74e29fdb5dff25cf1f0e15c5760d"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">Settings</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#a865c74e29fdb5dff25cf1f0e15c5760d">m_settingsObject</a></td></tr>
<tr class="memdesc:a865c74e29fdb5dff25cf1f0e15c5760d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">Settings</a></code> Object to test.  <a href="#a865c74e29fdb5dff25cf1f0e15c5760d">More...</a><br /></td></tr>
<tr class="separator:a865c74e29fdb5dff25cf1f0e15c5760d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af78a4817523eaa7060e757772ed9d17c"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_verify_test.html">SettingsVerifyTest</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#af78a4817523eaa7060e757772ed9d17c">m_settingsVerifyObject</a></td></tr>
<tr class="memdesc:af78a4817523eaa7060e757772ed9d17c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The object which verifies the json of message sent.  <a href="#af78a4817523eaa7060e757772ed9d17c">More...</a><br /></td></tr>
<tr class="separator:af78a4817523eaa7060e757772ed9d17c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79350c9202aac75b5c387e6987318f2d"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#a79350c9202aac75b5c387e6987318f2d">m_mapOfSettings</a></td></tr>
<tr class="memdesc:a79350c9202aac75b5c387e6987318f2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The map which stores all the settings for the object.  <a href="#a79350c9202aac75b5c387e6987318f2d">More...</a><br /></td></tr>
<tr class="separator:a79350c9202aac75b5c387e6987318f2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48a7917eb2bff18e6f68f4960a35ce51"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">registrationManager::CustomerDataManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#a48a7917eb2bff18e6f68f4960a35ce51">m_dataManager</a></td></tr>
<tr class="memdesc:a48a7917eb2bff18e6f68f4960a35ce51"><td class="mdescLeft">&#160;</td><td class="mdescRight">The data manager required to build the base object.  <a href="#a48a7917eb2bff18e6f68f4960a35ce51">More...</a><br /></td></tr>
<tr class="separator:a48a7917eb2bff18e6f68f4960a35ce51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3395b2e8e4439e9e004f1886a95efbac"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_certified_sender.html">CertifiedSender</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#a3395b2e8e4439e9e004f1886a95efbac">m_certifiedSender</a></td></tr>
<tr class="memdesc:a3395b2e8e4439e9e004f1886a95efbac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class under test.  <a href="#a3395b2e8e4439e9e004f1886a95efbac">More...</a><br /></td></tr>
<tr class="separator:a3395b2e8e4439e9e004f1886a95efbac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac288445ee98d7f44000faddd00968a57"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html">MockMessageStorage</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#ac288445ee98d7f44000faddd00968a57">m_msgStorage</a></td></tr>
<tr class="memdesc:ac288445ee98d7f44000faddd00968a57"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock message storage layer.  <a href="#ac288445ee98d7f44000faddd00968a57">More...</a><br /></td></tr>
<tr class="separator:ac288445ee98d7f44000faddd00968a57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f7a7eae78ed1ce874e51d3679af586e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_connection.html">MockConnection</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_test.html#a5f7a7eae78ed1ce874e51d3679af586e">m_mockConnection</a></td></tr>
<tr class="memdesc:a5f7a7eae78ed1ce874e51d3679af586e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mocked connection.  <a href="#a5f7a7eae78ed1ce874e51d3679af586e">More...</a><br /></td></tr>
<tr class="separator:a5f7a7eae78ed1ce874e51d3679af586e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">Settings</a></code> class. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ae6fbd8b3aeab850980995da21557fdb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6fbd8b3aeab850980995da21557fdb4">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::settings::test::SettingsTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aae65dfe29cb1f912cf73ae46d0e95db0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae65dfe29cb1f912cf73ae46d0e95db0">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::settings::test::SettingsTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aacc09e4b19fc9b5f1c3005d3891b6873"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacc09e4b19fc9b5f1c3005d3891b6873">&#9670;&nbsp;</a></span>testChangeSettingSucceeds()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::settings::test::SettingsTest::testChangeSettingSucceeds </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Function to send a SettingsUpdated event and verify that it succeeds. Parameters are passed through <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_verify_test.html#ad08dd12cc64f85bc07622bbb48360dcf">SettingsVerifyTest::SettingsVerifyTest()</a></code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>The name of the setting to change. </td></tr>
    <tr><td class="paramname">value</td><td>The value of the setting to which it has to be set. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the SettingsUpdated event was sent correctly, else <code>false</code>. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3395b2e8e4439e9e004f1886a95efbac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3395b2e8e4439e9e004f1886a95efbac">&#9670;&nbsp;</a></span>m_certifiedSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_certified_sender.html">CertifiedSender</a>&gt; alexaClientSDK::capabilityAgents::settings::test::SettingsTest::m_certifiedSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Class under test. </p>

</div>
</div>
<a id="a48a7917eb2bff18e6f68f4960a35ce51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48a7917eb2bff18e6f68f4960a35ce51">&#9670;&nbsp;</a></span>m_dataManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_manager.html">registrationManager::CustomerDataManager</a>&gt; alexaClientSDK::capabilityAgents::settings::test::SettingsTest::m_dataManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The data manager required to build the base object. </p>

</div>
</div>
<a id="a79350c9202aac75b5c387e6987318f2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79350c9202aac75b5c387e6987318f2d">&#9670;&nbsp;</a></span>m_mapOfSettings</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;std::string, std::string&gt; alexaClientSDK::capabilityAgents::settings::test::SettingsTest::m_mapOfSettings</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The map which stores all the settings for the object. </p>

</div>
</div>
<a id="a5f7a7eae78ed1ce874e51d3679af586e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f7a7eae78ed1ce874e51d3679af586e">&#9670;&nbsp;</a></span>m_mockConnection</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_connection.html">MockConnection</a>&gt; &gt; alexaClientSDK::capabilityAgents::settings::test::SettingsTest::m_mockConnection</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Mocked connection. </p>

</div>
</div>
<a id="a6e99b3eb9e46bf8c9ed8990a2d0d8908"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e99b3eb9e46bf8c9ed8990a2d0d8908">&#9670;&nbsp;</a></span>m_mockMessageSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_message_sender.html">MockMessageSender</a>&gt; alexaClientSDK::capabilityAgents::settings::test::SettingsTest::m_mockMessageSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The mock <code>MessageSenderInterface</code>. </p>

</div>
</div>
<a id="ac288445ee98d7f44000faddd00968a57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac288445ee98d7f44000faddd00968a57">&#9670;&nbsp;</a></span>m_msgStorage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html">MockMessageStorage</a>&gt; alexaClientSDK::capabilityAgents::settings::test::SettingsTest::m_msgStorage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Mock message storage layer. </p>

</div>
</div>
<a id="a04b4bc567cc6564cce3f9f88382da03e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04b4bc567cc6564cce3f9f88382da03e">&#9670;&nbsp;</a></span>m_settingsEventSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings_updated_event_sender.html">SettingsUpdatedEventSender</a>&gt; alexaClientSDK::capabilityAgents::settings::test::SettingsTest::m_settingsEventSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Global Observer for all the settings which sends the event. </p>

</div>
</div>
<a id="a865c74e29fdb5dff25cf1f0e15c5760d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a865c74e29fdb5dff25cf1f0e15c5760d">&#9670;&nbsp;</a></span>m_settingsObject</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">Settings</a>&gt; alexaClientSDK::capabilityAgents::settings::test::SettingsTest::m_settingsObject</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">Settings</a></code> Object to test. </p>

</div>
</div>
<a id="af78a4817523eaa7060e757772ed9d17c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af78a4817523eaa7060e757772ed9d17c">&#9670;&nbsp;</a></span>m_settingsVerifyObject</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_settings_verify_test.html">SettingsVerifyTest</a>&gt; alexaClientSDK::capabilityAgents::settings::test::SettingsTest::m_settingsVerifyObject</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The object which verifies the json of message sent. </p>

</div>
</div>
<a id="abd781baf3c5d954d807137883cc5ab2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd781baf3c5d954d807137883cc5ab2b">&#9670;&nbsp;</a></span>m_storage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_s_q_lite_setting_storage.html">SQLiteSettingStorage</a>&gt; alexaClientSDK::capabilityAgents::settings::test::SettingsTest::m_storage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">Settings</a> Storage object. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/Settings/test/<a class="el" href="_settings_test_8cpp.html">SettingsTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
